﻿using System.Collections.Generic;

namespace EonaCat.HID
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.
    public interface IEnumerator
    {
        bool IsConnected(string devicePath);

        IDevice GetDevice(string devicePath);

        IEnumerable<IDevice> Enumerate();

        IEnumerable<IDevice> Enumerate(string devicePath);

        IEnumerable<IDevice> Enumerate(int vendorId, params int[] productIds);

        IEnumerable<IDevice> Enumerate(int vendorId);
    }
}