﻿namespace EonaCat.HID
{
    // This file is part of the EonaCat project(s) which is released under the Apache License.
    // See the LICENSE file or go to https://EonaCat.com/License for full license details.
    public class StateAsync
    {
        private readonly object _callerDelegate;
        private readonly object _callbackDelegate;

        public StateAsync(object callerDelegate, object callbackDelegate)
        {
            _callerDelegate = callerDelegate;
            _callbackDelegate = callbackDelegate;
        }

        public object CallerDelegate
        { get { return _callerDelegate; } }
        public object CallbackDelegate
        { get { return _callbackDelegate; } }
    }
}